View Issue Details

IDProjectCategoryView StatusLast Update
0000608filegeneralpublic2017-04-28 16:29
ReporterThomas Dickey 
Assigned ToChristos Zoulas 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version5.30 
Target VersionFixed in Version5.31 
Summary0000608: terminfo magic-file is incomplete
DescriptionThe definitions for screen-dumps (screen images) in the "terminfo" magic file are incomplete.
I've attached an update which covers the available formats, along with correcting the links
for documentation on the terminfo and screen-dump formats.
Steps To ReproduceTested with AIX 5,6,7, Solaris sparc 8,9,10 and x86 10, along with ncurses and PDCurses.
TagsNo tags attached.

Relationships

Activities

Thomas Dickey

Thomas Dickey

2017-04-18 01:05

reporter  

terminfo-magic (2,011 bytes)
#------------------------------------------------------------------------------
# $File: terminfo,v 1.7 2016/03/17 21:02:29 christos Exp $
# terminfo:  file(1) magic for terminfo
#
# URL: http://invisible-island.net/ncurses/man/term.5.html
# URL: http://invisible-island.net/ncurses/man/scr_dump.5.html
#
# Workaround for Targa image type by Joerg Jenderek
# GRR: line below too general as it catches also
# Targa image type 1 with 26 long identification field
# and HELP.DSK
0	string		\032\001
# 5th character of terminal name list, but not Targa image pixel size (15 16 24 32)
>16	ubyte		>32
# namelist, if more than 1 separated by "|" like "st|stterm| simpleterm 0.4.1"
>>12	regex		\^[a-zA-Z0-9][a-zA-Z0-9.][^|]*	Compiled terminfo entry "%-s"
!:mime	application/x-terminfo
# no extension
#!:ext
#
# While the compiled terminfo uses little-endian format irregardless of
# platform, SystemV screen dumps do not.  They came later, and that detail was
# overlooked.
#
# AIX and HPUX use the SVr4 big-endian format
# Solaris uses the SVr3 formats (sparc and x86 differ endian-ness)
0	beshort		0433 		SVr2 curses screen image, big-endian
0	beshort		0434		SVr3 curses screen image, big-endian
0	beshort		0435		SVr4 curses screen image, big-endian
#
0	leshort		0433		SVr2 curses screen image, little-endian
0	leshort		0434		SVr3 curses screen image, little-endian
0	leshort		0435		SVr4 curses screen image, little-endian
#
# Rather than SVr4, Solaris "xcurses" writes this header:
0	regex		\^MAX=[0-9]+,[0-9]+$
>1	regex		\^BEG=[0-9]+,[0-9]+$
>2	regex		\^SCROLL=[0-9]+,[0-9]+$
>3	regex		\^VMIN=[0-9]+$
>4	regex		\^VTIME=[0-9]+$
>5	regex		\^FLAGS=0x[[:xdigit:]]+$
>6	regex		\^FG=[0-9],[0-9]+$
>7	regex		\^BG=[0-9]+,[0-9]+,	Solaris xcurses screen image
#
# ncurses5 (and before) did not use a magic number, making screen dumps "data".
# ncurses6 (2015) uses this format, ignoring byte-order
0	string	\210\210\210\210ncurses	ncurses6 screen image
#
# PDCurses added this in 2005
0	string		PDC\001		PDCurses screen image
terminfo-magic (2,011 bytes)
Christos Zoulas

Christos Zoulas

2017-04-28 16:29

manager   ~0001504

Committed to HEAD, thanks!

Issue History

Date Modified Username Field Change
2017-04-18 01:05 Thomas Dickey New Issue
2017-04-18 01:05 Thomas Dickey File Added: terminfo-magic
2017-04-28 16:29 Christos Zoulas Assigned To => Christos Zoulas
2017-04-28 16:29 Christos Zoulas Status new => assigned
2017-04-28 16:29 Christos Zoulas Status assigned => resolved
2017-04-28 16:29 Christos Zoulas Resolution open => fixed
2017-04-28 16:29 Christos Zoulas Fixed in Version => 5.31
2017-04-28 16:29 Christos Zoulas Note Added: 0001504